## r-cran-gss 2.1

=== DESCRIPTION ===
Package: gss
Version: 2.1-10
Date: 2019-06-05
Title: General Smoothing Splines
Author: Chong Gu <chong@purdue.edu>
Maintainer: Chong Gu <chong@purdue.edu>
Depends: R (>= 2.14.0), stats
Description: A comprehensive package for structural multivariate
        function estimation using smoothing splines.
License: GPL (>= 2)
Packaged: 2019-06-05 17:36:06 UTC; chong
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2019-06-09 17:00:03 UTC

## r-cran-gss 2.1-9

=== debian/changelog ===
r-cran-gss (2.1-9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 May 2018 10:49:28 -0500

r-cran-gss (2.1-8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Apr 2018 15:20:51 -0500

r-cran-gss (2.1-7-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Jun 2017 17:30:23 -0500

r-cran-gss (2.1-7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Mar 2017 14:08:16 -0500

r-cran-gss (2.1-6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Aug 2016 06:59:33 -0500

r-cran-gss (2.1-5-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #828117)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:15:26 -0500

r-cran-gss (2.1-5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Jul 2015 06:37:58 -0500

r-cran-gss (2.1-4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Dec 2014 13:11:29 -0600

r-cran-gss (2.1-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Jul 2014 06:24:42 -0500

r-cran-gss (2.1-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Jun 2014 19:45:02 -0500

r-cran-gss (2.1-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 May 2014 22:06:23 -0500

r-cran-gss (2.1-0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 Dec 2013 22:46:02 -0600

r-cran-gss (2.0-16-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Nov 2013 19:24:21 -0600

r-cran-gss (2.0-15-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Oct 2013 16:18:37 -0500

r-cran-gss (2.0-14-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 May 2013 08:59:37 -0500

r-cran-gss (2.0-13-1) unstable; urgency=low

  * Initial Debian release				(Closes: #706541)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 May 2013 06:47:03 -0500

=== debian/control ===
Source: r-cran-gss
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.4), dh-r
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
Homepage: https://cran.r-project.org/package=gss

Package: r-cran-gss
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${R:Depends}, ${misc:Depends}
Description: GNU R package for multivariate estimation using smoothing splines
 This package provides a structural multivariate function estimation 
 using smoothing splines.

## r-cran-gss 2.1-10

=== debian/changelog ===
r-cran-gss (2.1-10-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2019 17:28:39 -0500

r-cran-gss (2.1-10-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Jun 2019 22:12:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.4), dh-r
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
 Homepage: https://cran.r-project.org/package=gss

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/gss_([-\d\.]*)\.tar.gz

## r-cran-gss 2.2

=== DESCRIPTION ===
Package: gss
Version: 2.2-10
Date: 2025-11-18
Title: General Smoothing Splines
Authors@R: c(person("Chong","Gu",role=c("aut","cre"),
                   email="chong@purdue.edu"))											
Author: Chong Gu [aut, cre]
Maintainer: Chong Gu <chong@purdue.edu>
Depends: R (>= 3.0.0), stats
Description: A comprehensive package for structural multivariate
        function estimation using smoothing splines.
License: GPL (>= 2)
Packaged: 2025-11-18 17:35:57 UTC; chong
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2025-11-19 06:10:18 UTC

## r-cran-gss 2.2-2

=== debian/changelog ===
r-cran-gss (2.2-2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2020 15:13:45 -0500

r-cran-gss (2.2-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 May 2020 12:17:20 -0500

r-cran-gss (2.2-0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 May 2020 20:36:33 -0500

r-cran-gss (2.1-12-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Mar 2020 13:45:30 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 4.0.0), dh-r
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
 Homepage: https://cran.r-project.org/package=gss

## r-cran-gss 2.2-3

=== debian/changelog ===
r-cran-gss (2.2-3-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 13:56:58 -0500

r-cran-gss (2.2-3-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 12)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Aug 2021 22:47:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 4.0.0), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.1.1), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
 Homepage: https://cran.r-project.org/package=gss

## r-cran-gss 2.2-7

=== debian/changelog ===
r-cran-gss (2.2-7-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 16 Aug 2023 07:41:32 -0500

r-cran-gss (2.2-6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Aug 2023 19:30:55 -0500

r-cran-gss (2.2-5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jun 2023 07:23:33 -0500

r-cran-gss (2.2-4-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jun 2023 06:48:44 -0500

r-cran-gss (2.2-4-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Mar 2023 08:33:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.1.1), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
 Homepage: https://cran.r-project.org/package=gss

## r-cran-gss 2.2-8

=== debian/changelog ===
r-cran-gss (2.2-8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Oct 2024 16:07:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-gss package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-gss 2.2-9

=== debian/changelog ===
r-cran-gss (2.2-9-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Apr 2025 06:35:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
 Homepage: https://cran.r-project.org/package=gss

## r-cran-gss 2.2-10

=== debian/changelog ===
r-cran-gss (2.2-10-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Nov 2025 16:53:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gss
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gss.git
